Mazn.net

やってみて 調べてみて 苦労しなけりゃ 箱は動かじ

お使いの端末はこのアイテムに対応していません@Android Market

      2013/07/15

Android Market が最近アップデートされて、見た目ががらりと変わりましたが、GoogleマップやFirefox といった一部のアプリをインストール or アップデートしようとすると、

「お使いの端末はこのアイテムに対応していません」

と表示されてできません。

自分の端末はroot化して、さらに画面の解像度を変更しているのが原因のようです。

 

単純にbuild.propのlcd_densityを元に戻しただけでは同様のエラーが出てしまい回避できません。どうやらAndroid マーケットはアップデート時に解像度の情報などを取得して自分で記憶しているようです。

よって回避するには、解像度を元に戻して、Android マーケットを一端ダウングレードし、自動アップデートさせる必要があります。

ダウングレード方法ですが、私はroot化した際にバックアップしたAndroid マーケットアプリをリストアしました。

もし、バックアップない場合は・・・ 、アップデートをアンインストールするといけるかもしれません。(やってないから不明)

自動アップデートはダウングレード後にAndroid マーケットを起動すれば勝手にアップデートされます。

 - android, IT技術

336px

Message

メールアドレスが公開されることはありません。

  関連記事

no image
vim-rubyインストール@Debian etch

vim-rubyを使うとrubyのプログラム編集で、補完機能を使うことができるら …

no image
管理共有(C$)の使用@Windows 7

Windows XPだと、ファイルの共有を設定しなくても、デフォルトでCドライブ …

no image
Tracにガントチャートプラグイン導入@Debian Etch

Tracの導入の記事で導入したTracにガントチャートプラグインを導入してみまし …

no image
各種リポジトリのssh鍵の変更

2014-07-05GitHubユーザーのSSH鍵6万個を調べてみたの議事を拝見 …

no image
Windows 10 のストアアプリが起動しない

Windows 10のストアが起動しなくなってしまったので、その時実施した対処方 …

no image
Windows 10の強制アップデート・再起動を無効にする

Windows 10 Proでは、Windowsが強制的にアップデートされ、ほっ …

no image
perlのCPANでモジュールをインストール@Debian Etch

CPANにはperlのモジュールが多数登録されています。これをインストールする方 …

no image
xrdpコンパイル@Ubuntu 14.04

以前、xrdp のバグで古いセッションに再接続できないことを書き、暫定対処で古い …

no image
initrd を展開しファイルを編集する @ Fedora 16

Fedora 16 Live CD の initrd を編集する必要があったので …

no image
NICに複数のIPを付与する方法@Linux

1つのNICに複数のIPをつける方法の覚え書き。eth0にもう一つIP(192. …